Skip to main content
GET
/
v1
/
bots
curl "https://hapi.7331.org/v1/bots?limit=10&offset=0"
[
  {
    "discord_id": "111222333444555666",
    "name": "Hansel Bot",
    "guilds": 250,
    "users": 50000,
    "avatar_url": "https://cdn.discordapp.com/avatars/111222333444555666/abc.png",
    "latency_ms": 45.2,
    "is_verified": true,
    "last_activity_at": "2025-01-15T12:00:00Z",
    "source": "database",
    "created_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-15T12:00:00Z"
  }
]
offset
integer
default:"0"
Pagination offset. Minimum: 0.
limit
integer
default:"50"
Maximum number of bots to return. Range: 1-25.
X-API-Key
string
Optional bot API key.

Response

Returns an array of bot public profiles.
discord_id
string
required
Discord bot ID.
name
string
required
Bot display name.
guilds
integer
required
Number of guilds bot is in.
users
integer
required
Total unique users the bot can see.
avatar_url
string
Discord CDN avatar URL.
latency_ms
number
Average Discord latency in milliseconds.
is_verified
boolean
Whether this is an official/verified bot.
curl "https://hapi.7331.org/v1/bots?limit=10&offset=0"
[
  {
    "discord_id": "111222333444555666",
    "name": "Hansel Bot",
    "guilds": 250,
    "users": 50000,
    "avatar_url": "https://cdn.discordapp.com/avatars/111222333444555666/abc.png",
    "latency_ms": 45.2,
    "is_verified": true,
    "last_activity_at": "2025-01-15T12:00:00Z",
    "source": "database",
    "created_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-15T12:00:00Z"
  }
]